package org.linphone;

import android.content.Context;
import android.util.AttributeSet;
import android.util.Log;
import android.widget.TextView;

public class AutoScrollTextView extends TextView {
	private final String TAG="TEXT";

	public AutoScrollTextView(Context context, AttributeSet attrs,
			int defStyle) {
		super(context, attrs, defStyle);
	}

	public AutoScrollTextView(Context context, AttributeSet attrs) {
		super(context, attrs);
	}

	public AutoScrollTextView(Context context) {
		super(context);
	}
	
	public void scrollDown() {
		int y=getLineHeight()/4+
			getLineCount()*
			getLineHeight()-getHeight();
		if (y<0) {
			y=0;
		}
		this.scrollTo(0, y);
	}
	
	protected void onSizeChanged (int w, int h, int oldw, int oldh) {
		super.onSizeChanged(w, h, oldw, oldh);
		Log.d(TAG, "onSizeChanged");
		scrollDown();
	}
}
